org.apache.ignite.internal.cache.query.index

## Interface IndexFactory

All Known Implementing Classes:
  DefragIndexFactory, InlineIndexFactory

    public interface IndexFactory

Base interface for Ignite index factories.

### Method Summary

All Methods Instance Methods Abstract Methods
`Index` `createIndex(@Nullable GridCacheContext<?,?> cctx, IndexDefinition definition)` Creates index by specified definition for specified cache.

### Method Detail

#### createIndex

    Index createIndex(@Nullable
                      @Nullable GridCacheContext<?,?> cctx,
                      IndexDefinition definition)

Creates index by specified definition for specified cache.

Parameters:
  `cctx` - Cache context.
  `definition` - Index definition.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021